sqlitexx: sqlite3xx::connection Class Reference

sqlitexx 0.0.1

Public Member Functions | Friends
sqlite3xx::connection Class Reference

`#include <connection.hpp>`

## Public Member Functions
| connection ()
| connection (string filename)
| connection (const connection &c)
| ~connection ()
void | trace (bool __trace)
bool | trace ()
result | exec (string sql)
result | prepared_exec (const string &name)
prepare::declaration | prepare (const string &name, string sql)
void | prepare_param_declare (const string &stmt, const string &sqltype, prepare::param_treatment &treatment)
void | prepared_reset (const string &name)
void | prepare_setparam (const string &name, const int pos, const int value)
void | prepare_setparam (const string &name, const int pos, const unsigned int value)
void | prepare_setparam (const string &name, const int pos, const char *value)
void | prepare_setparam (const string &name, const int pos, const double value)
void | prepare_setparam (const string &name, const int pos, const long value)
void | prepare_setparam (const string &name, const int pos, const uintmax_t value)
void | unprepare (string name)
const char * | dbname ()

## Friends
SQLITEXX_LIBEXPORT friend ostream & | operator<< (ostream &o, const connection &c)

## Constructor & Destructor Documentation

## ◆ connection() [1/3]

sqlite3xx::connection::connection | ( |  | ) |

## ◆ connection() [2/3]

sqlite3xx::connection::connection | ( | string | filename | ) |

## ◆ connection() [3/3]

sqlite3xx::connection::connection | ( | const connection & | c | ) |

## ◆ ~connection()

sqlite3xx::connection::~connection | ( |  | ) |

## Member Function Documentation

## ◆ dbname()

const char * sqlite3xx::connection::dbname | ( |  | ) |
| inline

## ◆ exec()

result sqlite3xx::connection::exec | ( | string | sql | ) |

## ◆ prepare()

prepare::declaration sqlite3xx::connection::prepare | ( | const string & | name,
|  | string | sql
| ) |  |

## ◆ prepare_param_declare()

void sqlite3xx::connection::prepare_param_declare | ( | const string & | stmt,
|  | const string & | sqltype,
|  | prepare::param_treatment & | treatment
| ) |  |

## ◆ prepare_setparam() [1/6]

void sqlite3xx::connection::prepare_setparam | ( | const string & | name,
|  | const int | pos,
|  | const char * | value
| ) |  |

## ◆ prepare_setparam() [2/6]

void sqlite3xx::connection::prepare_setparam | ( | const string & | name,
|  | const int | pos,
|  | const double | value
| ) |  |

## ◆ prepare_setparam() [3/6]

void sqlite3xx::connection::prepare_setparam | ( | const string & | name,
|  | const int | pos,
|  | const int | value
| ) |  |

## ◆ prepare_setparam() [4/6]

void sqlite3xx::connection::prepare_setparam | ( | const string & | name,
|  | const int | pos,
|  | const long | value
| ) |  |

## ◆ prepare_setparam() [5/6]

void sqlite3xx::connection::prepare_setparam | ( | const string & | name,
|  | const int | pos,
|  | const uintmax_t | value
| ) |  |

## ◆ prepare_setparam() [6/6]

void sqlite3xx::connection::prepare_setparam | ( | const string & | name,
|  | const int | pos,
|  | const unsigned int | value
| ) |  |

## ◆ prepared_exec()

result sqlite3xx::connection::prepared_exec | ( | const string & | name | ) |

## ◆ prepared_reset()

void sqlite3xx::connection::prepared_reset | ( | const string & | name | ) |

## ◆ trace() [1/2]

bool sqlite3xx::connection::trace | ( |  | ) |
| inline

## ◆ trace() [2/2]

void sqlite3xx::connection::trace | ( | bool | __trace | ) |

## ◆ unprepare()

void sqlite3xx::connection::unprepare | ( | string | name | ) |

## Friends And Related Symbol Documentation

## ◆ operator<<

SQLITEXX_LIBEXPORT friend ostream & operator<< | ( | ostream & | o,
|  | const connection & | c
| ) |  |
| friend

The documentation for this class was generated from the following file:

- connection.hpp